> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Retry suggestion

> Ask again for a message whose suggestions were unavailable



## OpenAPI

````yaml /openapi.json post /front-desk/suggestions/{id}/retry
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /front-desk/suggestions/{id}/retry:
    post:
      tags:
        - front-desk
      summary: Retry suggestion
      description: Ask again for a message whose suggestions were unavailable
      operationId: front-desk.retrySuggestion
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InboxSuggestionRow'
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/SuggestionNotFoundError'
        '409':
          description: WebhookDuplicate | RegistrationConflict | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    InboxSuggestionRow:
      type: object
      properties:
        id:
          type: string
        enquiryId:
          type: string
        sourceKind:
          type: string
          enum:
            - whatsapp.message
            - telephony.sms-message
            - front-desk.call
        sourceId:
          type: string
        sourceText:
          type: string
        receivedAt:
          type: string
        status:
          type: string
          enum:
            - pending
            - ready
            - unavailable
            - no_text
        reason:
          anyOf:
            - type: string
            - type: 'null'
        result:
          anyOf:
            - $ref: '#/components/schemas/InboxSuggestionResultRow'
            - type: 'null'
        reviews:
          type: array
          items:
            $ref: '#/components/schemas/SuggestionReviewRow'
        retryParts:
          type: array
          items:
            type: string
            enum:
              - tasks
              - booking
              - routing
        canRetry:
          type: boolean
        erasedAt:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - enquiryId
        - sourceKind
        - sourceId
        - sourceText
        - receivedAt
        - status
        - reason
        - result
        - reviews
        - retryParts
        - canRetry
        - erasedAt
        - createdAt
        - updatedAt
      additionalProperties: false
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    SuggestionNotFoundError:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - SuggestionNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
    InboxSuggestionResultRow:
      type: object
      properties:
        tasks:
          type: object
          properties:
            status:
              type: string
              enum:
                - ready
                - unavailable
                - 'off'
            reason:
              anyOf:
                - type: string
                - type: 'null'
            model:
              anyOf:
                - type: string
                - type: 'null'
            tasks:
              type: array
              items:
                type: object
                properties:
                  item:
                    type: string
                  quote:
                    type: string
                  title:
                    type: string
                  typeId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  typeName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  teamId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  teamName:
                    anyOf:
                      - type: string
                      - type: 'null'
                  assigneeStaffId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  dueOn:
                    anyOf:
                      - type: string
                      - type: 'null'
                  confidence:
                    anyOf:
                      - type: number
                      - type: string
                        enum:
                          - Infinity
                          - '-Infinity'
                          - NaN
                required:
                  - item
                  - quote
                  - title
                  - typeId
                  - typeName
                  - teamId
                  - teamName
                  - assigneeStaffId
                  - dueOn
                  - confidence
                additionalProperties: false
            uncertainQuotes:
              type: array
              items:
                type: string
            duplicatesMerged:
              anyOf:
                - type: number
                - type: string
                  enum:
                    - Infinity
                    - '-Infinity'
                    - NaN
          required:
            - status
            - reason
            - model
            - tasks
            - uncertainQuotes
            - duplicatesMerged
          additionalProperties: false
        booking:
          type: object
          properties:
            status:
              type: string
              enum:
                - suggested
                - uncertain
                - unavailable
                - 'off'
            reason:
              anyOf:
                - type: string
                - type: 'null'
            model:
              anyOf:
                - type: string
                - type: 'null'
            intent:
              anyOf:
                - type: string
                  enum:
                    - book
                    - reschedule
                    - cancel
                    - unclear
                - type: 'null'
            confidence:
              anyOf:
                - anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                - type: 'null'
            appointment:
              anyOf:
                - type: object
                  properties:
                    id:
                      type: string
                    kind:
                      type: string
                    title:
                      type: string
                    startsAt:
                      type: string
                    endsAt:
                      type: string
                    status:
                      type: string
                    staffId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    propertyId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    revision:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    contactId:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - id
                    - kind
                    - title
                    - startsAt
                    - endsAt
                    - status
                    - staffId
                    - propertyId
                    - revision
                    - contactId
                  additionalProperties: false
                - type: 'null'
            lastViewing:
              anyOf:
                - type: object
                  properties:
                    id:
                      type: string
                    kind:
                      type: string
                    title:
                      type: string
                    startsAt:
                      type: string
                    endsAt:
                      type: string
                    status:
                      type: string
                    staffId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    propertyId:
                      anyOf:
                        - type: string
                        - type: 'null'
                    revision:
                      anyOf:
                        - type: number
                        - type: string
                          enum:
                            - Infinity
                            - '-Infinity'
                            - NaN
                    contactId:
                      anyOf:
                        - type: string
                        - type: 'null'
                  required:
                    - id
                    - kind
                    - title
                    - startsAt
                    - endsAt
                    - status
                    - staffId
                    - propertyId
                    - revision
                    - contactId
                  additionalProperties: false
                - type: 'null'
            postViewing:
              type: boolean
            feedbackThemes:
              type: array
              items:
                type: object
                properties:
                  theme:
                    type: string
                  label:
                    type: string
                required:
                  - theme
                  - label
                additionalProperties: false
            interestLabel:
              anyOf:
                - type: string
                - type: 'null'
          required:
            - status
            - reason
            - model
            - intent
            - confidence
            - appointment
            - lastViewing
            - postViewing
            - feedbackThemes
            - interestLabel
          additionalProperties: false
        routing:
          type: object
          properties:
            status:
              type: string
              enum:
                - suggested
                - uncertain
                - unavailable
                - 'off'
            reason:
              anyOf:
                - type: string
                - type: 'null'
            model:
              anyOf:
                - type: string
                - type: 'null'
            category:
              anyOf:
                - type: string
                - type: 'null'
            categoryConfidence:
              anyOf:
                - anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                - type: 'null'
            overlaps:
              type: array
              items:
                type: string
            teamId:
              anyOf:
                - type: string
                - type: 'null'
            teamName:
              anyOf:
                - type: string
                - type: 'null'
            teamConfidence:
              anyOf:
                - anyOf:
                    - type: number
                    - type: string
                      enum:
                        - Infinity
                        - '-Infinity'
                        - NaN
                - type: 'null'
            reasons:
              type: array
              items:
                type: string
          required:
            - status
            - reason
            - model
            - category
            - categoryConfidence
            - overlaps
            - teamId
            - teamName
            - teamConfidence
            - reasons
          additionalProperties: false
      required:
        - tasks
        - booking
        - routing
      additionalProperties: false
    SuggestionReviewRow:
      type: object
      properties:
        item:
          type: string
        decision:
          type: string
          enum:
            - accepted
            - dismissed
        recordKind:
          anyOf:
            - type: string
            - type: 'null'
        recordId:
          anyOf:
            - type: string
            - type: 'null'
        reviewedByUserId:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
        createdAt:
          type: string
      required:
        - item
        - decision
        - recordKind
        - recordId
        - reviewedByUserId
        - note
        - createdAt
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.